# std::experimental::bad_any_cast

From cppreference.com
< cpp‎ | experimental‎ | any

Defined in header `<experimental/any>` |  |
class bad_any_cast : public std::bad_cast; |  | (library fundamentals TS)

Defines a type of object to be thrown by the value-returning forms of std::experimental::any_cast on failure.

## Inherited from std::exception

### Member functions

(destructor) [virtual] | destroys the exception object (virtual public member function of `std::exception`)
what [virtual] | returns an explanatory string (virtual public member function of `std::exception`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/any/bad_any_cast&oldid=82416"